Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.shipping
Class PackingListValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.ebusiness.shipping.PackingListValue

public class PackingListValue
extends SmartValue

A Packing list contains order, shipping method and shipping address. It is created by the ShippingManager. The client is responsible for creating the packing list and passing it to invoicing This class contains a reference to a customer in the form of a customerKey. It is a String to avoid the shipping system from depending on customer. The reference has to be the primary key of the customer. Is is the responsibility of the ShippingMethod to determine the cost of delivering the Items using its ShippingCostCalculationPolicy.

See Also:
  `PackingList`, `PackingListHome`, `PackingList.getPackingListByValue()`, `PackingList.setPackingListByValue(PackingListValue)`, Serialized Form

Field Summary
`SmartHandle` | `order` order [PackingList] <>------> [`theory.smart.ebusiness.order.Order`]
`java.lang.String` | `orderKey` orderKey [PackingList] <*>------> [`String`] (Primary Key)
`Address` | `shippingAddress` shippingAddress [PackingList] <*>------> [`theory.smart.axiom.contact.Address`]
`SmartHandle` | `shippingMethod` shippingMethod [PackingList] <>------> [`theory.smart.ebusiness.shipping.ShippingMethod`]
`java.lang.String` | `specialInstructions` specialInstructions [PackingList] <*>------> [`String`]

Constructor Summary
`protected` | `PackingListValue()` Only get/setPackingListByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### orderKey

    public java.lang.String orderKey

                        orderKey
       [PackingList] <*>------> [String] (Primary Key)

### specialInstructions

    public java.lang.String specialInstructions

                        specialInstructions
       [PackingList] <*>------> [String]

### shippingMethod

    public SmartHandle shippingMethod

                        shippingMethod
       [PackingList] <>------> [theory.smart.ebusiness.shipping.ShippingMethod]

### order

    public SmartHandle order

                        order
       [PackingList] <>------> [theory.smart.ebusiness.order.Order]

### shippingAddress

    public Address shippingAddress

                        shippingAddress
       [PackingList] <*>------> [theory.smart.axiom.contact.Address]

Constructor Detail

### PackingListValue

    protected PackingListValue()

  Only get/setPackingListByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.